6.0.0-git
2019-04-24

[#13281] Allow drag-and-drop of text to plain text editor
Summary Allow drag-and-drop of text to plain text editor
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester horde (at) headbank (dot) co (dot) uk
Created 2014-06-21 (1768 days ago)
Due
Updated 2014-07-10 (1749 days ago)
Assigned 2014-06-30 (1759 days ago)
Resolved 2014-07-10 (1749 days ago)
Milestone
Patch No

History
2014-07-10 05:36:27 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
This is currently inconsistent behavior, because dragging to HTML 
message is possible.
Actually not true ... this only works for Firefox at the moment.  I'll 
play around tomorrow to see if I can get this to work on IE and Chrome.

But closing ticket since it is referring to the plain text editor, 
which is now fixed.
2014-07-10 05:36:23 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 986c75cda9c180dfa8025b81fb0414fd6e788041
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 9 19:41:55 2014 -0600

     [mms] Re-enable drag/drop of text to dynamic plaintext compose 
window (Bug #13281).

  imp/docs/CHANGES                   |    9 +++++++++
  imp/js/ckeditor/pasteattachment.js |    4 +---
  imp/js/draghandler.js              |   21 ++++++++++++++-------
  imp/package.xml                    |   15 ++++++++++++++-
  4 files changed, 38 insertions(+), 11 deletions(-)

http://github.com/horde/horde/commit/986c75cda9c180dfa8025b81fb0414fd6e788041
2014-07-10 05:34:45 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit a70df7a2a640c55a1c84b1cb75a5d29fc912af4d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 9 19:41:55 2014 -0600

     [mms] Re-enable drag/drop of text to dynamic plaintext compose 
window (Bug #13281).

  imp/docs/CHANGES                   |    2 ++
  imp/js/ckeditor/pasteattachment.js |    4 +---
  imp/js/draghandler.js              |   21 ++++++++++++++-------
  imp/package.xml                    |    4 ++--
  4 files changed, 19 insertions(+), 12 deletions(-)

http://github.com/horde/horde/commit/a70df7a2a640c55a1c84b1cb75a5d29fc912af4d
2014-06-30 15:02:29 Jan Schneider Summary ⇒ Allow drag-and-drop of text to plain text editor
 
2014-06-30 15:02:01 Jan Schneider Type ⇒ Bug
State ⇒ Feedback
Priority ⇒ 1. Low
 
2014-06-30 15:01:40 Jan Schneider Comment #2 Reply to this comment
This is currently inconsistent behavior, because dragging to HTML 
message is possible. So I consider this a bug. We should probably 
restrict the drop target to the attachment area, like when the HTML 
editor is enabled.
2014-06-21 02:37:03 horde (at) headbank (dot) co (dot) uk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Prefs/config option to disable attachment drag-and-drop
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Attachment drag-and-drop is a nice feature in many use-cases, but it 
has one annoyance in that it prevents text drag-and-drop from working 
within the plaintext composer, at least on Windows and Linux platforms 
/ Firefox 30.

I suggest that the feature be able to be disabled by user pref and/or 
by global configuration, for those with a focus on text editing with 
drag-and-drop capability.

Of course a solution that permitted both functions to coexist would be 
optimal, but I'm not sure that is possible.

Saved Queries